Search Dataset

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples

Datasets and dashboards are in the Luzmo API a type of securable . As such, the API calls to create, update, delete, ... datasets or dashboards are executed against the securable endpoint.

Properties relevant to one, may not be relevant to the other. Those will be null (e.g. contents is null for a dataset while for dashboards it is one of the most important properties as it holds the definition of screenmodes, charts, ...).

Only users who have read access to the dataset can retrieve the dataset.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
type STRING
subtype STRING
name Multilingual string
description Multilingual string
subtitle OBJECT
ai_context STRING
custom_metadata OBJECT
source_dataset STRING
source_sheet STRING
source_query STRING
transformation STRING
storage STRING
rows NUMBER
is_variant BOOLEAN
meta_sync_interval NUMBER
meta_sync_inherit BOOLEAN
meta_sync_enabled BOOLEAN
last_metadata_sync_at DATETIME
cache NUMBER
acceleration_id STRING
created_at DATETIME
updated_at DATETIME
modified_at DATETIME
owner_id STRING
account_id STRING
Can be executed by:
Entity Reader
Can be associated to:
Columns
Groups
Users
Schedule
Tags
Collections
favorites
EmbedFilterGroups
Acceleration
Account
Dashboards
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 2,
  "rows": [
    {
      "id": "f13df731-fff4-4b6b-b6e0-58a7d3956685",
      "type": "dataset",
      "subtype": "demodataplugin",
      "name": {
        "en": "Sales dataset",
        "nl": "Verkoopsgegevens",
        "fr": "Données de ventes"
      },
      "description": {
        "en": "Dataset with demo sales data.",
        "nl": "Dataset met demo verkoopsgegevens",
        "fr": "Dataset contenant des données de ventes"
      },
      "custom_metadata": {
        "owner": "ops",
        "nested": {
          "level": "L1"
        }
      },
      "subtitle": null,
      "contents": null,
      "css": null,
      "source_dataset": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
      "source_sheet": "sales_dataset",
      "source_query": null,
      "transformation": null,
      "rows": 102,
      "featured": false,
      "modified_at": "2023-09-14T15:36:26.338Z",
      "cache": 0,
      "storage": "client",
      "is_variant": false,
      "migrated_rows": null,
      "uses_clickhouse_experimental": false,
      "meta_sync_interval": 1,
      "meta_sync_inherit": true,
      "meta_sync_enabled": true,
      "last_metadata_sync_at": "2024-02-21T11:47:27.432Z",
      "last_metadata_sync_attempt_at": "2024-02-21T11:47:25.391Z",
      "created_at": "2023-09-14T15:36:26.338Z",
      "updated_at": "2024-02-21T11:47:27.431Z",
      "acceleration_id": null,
      "account_id": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
      "template_id": null,
      "original_id": null,
      "modifier_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
      "owner_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
      "source_template_id": null
    },
    {
      "id": "f13df731-fff4-4b6b-b6e0-58a7d3956685",
      "type": "dataset",
      "subtype": "demodataplugin",
      "name": {
        "en": "Sales dataset",
        "nl": "Verkoopsgegevens",
        "fr": "Données de ventes"
      },
      "description": {
        "en": "Dataset with demo sales data.",
        "nl": "Dataset met demo verkoopsgegevens",
        "fr": "Dataset contenant des données de ventes"
      },
      "custom_metadata": {
        "owner": "ops",
        "nested": {
          "level": "L1"
        }
      },
      "subtitle": null,
      "contents": null,
      "css": null,
      "source_dataset": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
      "source_sheet": "sales_dataset",
      "source_query": null,
      "transformation": null,
      "rows": 102,
      "featured": false,
      "modified_at": "2023-09-14T15:36:26.338Z",
      "cache": 0,
      "storage": "client",
      "is_variant": false,
      "migrated_rows": null,
      "uses_clickhouse_experimental": false,
      "meta_sync_interval": 1,
      "meta_sync_inherit": true,
      "meta_sync_enabled": true,
      "last_metadata_sync_at": "2024-02-21T11:47:27.432Z",
      "last_metadata_sync_attempt_at": "2024-02-21T11:47:25.391Z",
      "created_at": "2023-09-14T15:36:26.338Z",
      "updated_at": "2024-02-21T11:47:27.431Z",
      "acceleration_id": null,
      "account_id": "8b7954e2-3664-4437-b8cb-4b05b6ddee91",
      "template_id": null,
      "original_id": null,
      "modifier_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
      "owner_id": "8ad836a8-3547-4ed6-ba59-b445bfed05ed",
      "source_template_id": null
    }
  ]
}